sgwc:
  sgwcSystem:
    display: "System Config"
    sort: 1
    list:
      - name: "s11IpType"
        type: "string"
        value: ""
        access: "read-write"
        filter: "^(IPv4|IPv6|IPv4v6)$"
        display: "Local S11 IP Type"
        comment: "IPv4/IPv6/IPv4v6"
      - name: "s11Ipv4"
        type: "string"
        value: "172.16.5.80"
        access: "read-write"
        filter: ""
        display: "Local S11 IPv4"
        comment: "IPv4 Format"
      - name: "s11Ipv6"
        type: "string"
        value: ""
        access: "read-write"
        filter: ""
        display: "Local S11 IPv6"
        comment: "IPv6 Format"
      - name: "s58IpType"
        type: "string"
        value: ""
        access: "read-write"
        filter: "^(IPv4|IPv6|IPv4v6)$"
        display: "Local S5/S8 IP Type"
        comment: "IPv4/IPv6/IPv4v6"
      - name: "s58Ipv4"
        type: "string"
        value: "172.16.5.81"
        access: "read-write"
        filter: ""
        display: "Local S5/S8 IPv4"
        comment: "IPv4 Format"
      - name: "s58Ipv6"
        type: "string"
        value: ""
        access: "read-write"
        filter: ""
        display: "Local S5/S8 IPv6"
        comment: "IPv6 Format"
      - name: "sxIpType"
        type: "string"
        value: ""
        access: "read-write"
        filter: "^(IPv4|IPv6|IPv4v6)$"
        display: "Local Sx IP Type"
        comment: "IPv4/IPv6/IPv4v6"
      - name: "sxIpv4"
        type: "string"
        value: "172.16.5.81"
        access: "read-write"
        filter: ""
        display: "Local Sx IPv4"
        comment: "IPv4 Format"
      - name: "sxIpv6"
        type: "string"
        value: ""
        access: "read-write"
        filter: ""
        display: "Local Sx IPv6"
        comment: "IPv6 Format"
  upfConfig:
    display: "UPF Config"
    sort: 3
    array:
      - name: "index"
        type: "int"
        value: ""
        access: "read-only"
        filter: "0~2047"
        display: "Index"
        comment: ""
      - name: "id"
        type: "string"
        value: ""
        access: "read-write"
        filter: "1~64"
        display: "UPF ID"
        comment: ""
      - name: "addr"
        type: "string"
        value: ""
        access: "read-write"
        filter: "7~45"
        display: "Address"
        comment: "e.g. ip:port"
  dnnSelectUpf:
    display: "DNN Select UPF"
    sort: 5
    array:
      - name: "index"
        type: "int"
        value: "0"
        access: "read-only"
        filter: "0~65535"
        display: "Index"
        comment: ""
      - name: "dnn"
        type: "string"
        value: ""
        access: "read-write"
        filter: "1~64"
        display: "DNN"
        comment: ""
      - name: "upfId"
        type: "string"
        value: ""
        access: "read-write"
        filter: "1~64"
        display: "UPF ID"
        comment: ""
  dnnTaiSelectUpf:
    display: "DNN TAI Select UPF"
    sort: 7
    array:
      - name: "index"
        type: "int"
        value: ""
        access: "read-only"
        filter: "0~65535"
        display: "Index"
        comment: ""
      - name: "dnn"
        type: "string"
        value: ""
        access: "read-write"
        filter: "1~64"
        display: "DNN"
        comment: ""
      - name: "tai"
        type: "string"
        value: ""
        access: "read-write"
        filter: "1~64"
        display: "TAI"
        comment: "MCC+MNC+TAC"
      - name: "upfId"
        type: "string"
        value: "upf2-Id"
        access: "read-write"
        filter: "1~64"
        display: "UPF ID"
        comment: ""
  cdrConfig:
    display: "Charging Data Report Config"
    sort: 9
    list:
      - name: "enable"
        type: "bool"
        value: "false"
        access: "read-write"
        filter: ""
        display: "CDR Enable"
        comment: ""
      - name: "cdrFileName"
        type: "string"
        value: "smf.cdr"
        access: "read-write"
        filter: "1~64"
        display: "CDR File Name"
        comment: ""
      - name: "cdrFilePath"
        type: "string"
        value: "/var/log/smfCdr"
        access: "read-write"
        filter: "1~256"
        display: "CDR File Path"
        comment: ""
      - name: "cdrFileNum"
        type: "int"
        value: "50"
        access: "read-write"
        filter: "1~999999999"
        display: "CDR File Num"
        comment: ""
      - name: "cdrFileSize"
        type: "int"
        value: "300"
        access: "read-write"
        filter: "1~999999"
        display: "CDR File Size"
        comment: "Megabytes"
      - name: "cdrFileMaxAge"
        type: "int"
        value: "30"
        access: "read-write"
        filter: "0~9999"
        display: "CDR File Max Age"
        comment: "Days"
      - name: "timeThreshold"
        type: "int"
        value: "600"
        access: "read-write"
        filter: "0~999999999"
        display: "Time Threshold"
        comment: "Seconds"
      - name: "volumeThreshold"
        type: "int"
        value: "0~999999999999999"
        access: "read-write"
        filter: ""
        display: "Volume Threshold"
        comment: "Bytes"
